Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class WindowListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.event.ContainerListenerAdapter
                  com.gwtext.client.widgets.event.PanelListenerAdapter
                      com.gwtext.client.widgets.event.WindowListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, ContainerListener, PanelListener, WindowListener

    public class WindowListenerAdapter

extends PanelListenerAdapter
implements WindowListener

WindowListener adapter class.

Constructor Summary
`WindowListenerAdapter()`

Method Summary
`void` | `onActivate(Window source)` Fires after the window has been visually activated via `Window.setActive()`.
`void` | `onDeactivate(Window source)` Fires after the window has been visually deactivated via `Window.setActive(boolean)`
`void` | `onMaximize(Window source)` Fires after the window has been maximized.
`void` | `onMinimize(Window source)` Fires after the window has been minimized.
`void` | `onResize(Window source, int width, int height)` Fires after the window has been resized.
`void` | `onRestore(Window source)` Fires after the window has been restored to its original size after being maximized.

Methods inherited from class com.gwtext.client.widgets.event.PanelListenerAdapter
`doBeforeClose, doBeforeCollapse, doBeforeExpand, onActivate, onBodyResize, onClose, onCollapse, onDeactivate, onExpand, onTitleChange`

Methods inherited from class com.gwtext.client.widgets.event.ContainerListenerAdapter
`doBeforeAdd, doBeforeRemove, onAdd, onAfterLayout, onRemove`

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.PanelListener
`doBeforeClose, doBeforeCollapse, doBeforeExpand, onActivate, onBodyResize, onClose, onCollapse, onDeactivate, onExpand, onTitleChange`

Methods inherited from interface com.gwtext.client.widgets.event.ContainerListener
`doBeforeAdd, doBeforeRemove, onAdd, onAfterLayout, onRemove`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### WindowListenerAdapter

    public WindowListenerAdapter()

Method Detail

### onActivate

    public void onActivate(Window source)

  Description copied from interface: `WindowListener`
  Fires after the window has been visually activated via `Window.setActive()`.

  Specified by:
    `onActivate` in interface `WindowListener`
  Parameters:
    `source` - this

### onDeactivate

    public void onDeactivate(Window source)

  Description copied from interface: `WindowListener`
  Fires after the window has been visually deactivated via `Window.setActive(boolean)`

  Specified by:
    `onDeactivate` in interface `WindowListener`
  Parameters:
    `source` - this

### onMaximize

    public void onMaximize(Window source)

  Description copied from interface: `WindowListener`
  Fires after the window has been maximized.

  Specified by:
    `onMaximize` in interface `WindowListener`
  Parameters:
    `source` - this

### onMinimize

    public void onMinimize(Window source)

  Description copied from interface: `WindowListener`
  Fires after the window has been minimized.

  Specified by:
    `onMinimize` in interface `WindowListener`
  Parameters:
    `source` - this

### onResize

    public void onResize(Window source,
                         int width,
                         int height)

  Description copied from interface: `WindowListener`
  Fires after the window has been resized.

  Specified by:
    `onResize` in interface `WindowListener`
  Parameters:
    `source` - this
    `width` - the new width
    `height` - the new height

### onRestore

    public void onRestore(Window source)

  Description copied from interface: `WindowListener`
  Fires after the window has been restored to its original size after being maximized.

  Specified by:
    `onRestore` in interface `WindowListener`
  Parameters:
    `source` - this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD